<?php
/**
 * Шаблон модуля
 *
 * @package    Diafan.CMS
 * @author     diafan.ru
 * @version    5.4
 * @license    http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2014 OOO «Диафан» (http://diafan.ru)
 */

if (!defined('DIAFAN')) {
    include dirname(dirname(dirname(__FILE__))) . '/includes/404.php';
}

if (!isset($result['ajax'])) {
    echo '<h1>Журнал операций</h1>';
    echo '<div id="journalAjaxPlace">Загружается...</div>';
} else {
    echo '<table class="ubrirTable operationsJournal"><thead>' .
        '<th>ID</th>' .
        '<th>Время</th>' .
        '<th>Сумма</th>' .
        '<th>Тип Валюты</th>' .
        '<th>Тип</th>' .
        '<th>Статус</th>' .
        '<th>Доп. ID</th>' .
        '<th>Код операции</th>' .
        '<th>Название Операции</th>' .
        '</thead><tbody>';
    foreach ($result['journal']['operations'] as $operation) {
        echo '<tr>' .
            '<td>' . $operation['id'] . '</td>' .
            '<td>' . $operation['time'] . '</td>' .
            '<td class="amount">' . $operation['amount'] . '</td>' .
            '<td>' . $operation['currency'] . '</td>' .
            '<td>' . $operation['type'] . '</td>' .
            '<td>' . $operation['status'] . '</td>' .
            '<td>' . $operation['two_id'] . '</td>' .
            '<td>' . $operation['oper_type'] . '</td>' .
            '<td>' . $operation['open_name'] . '</td>' .
            '</tr>';
    }
    echo '</tbody></table>';
}